Bug 657691 - False warning: /etc/shadow created as /etc/shadow.rpmnew
False warning: /etc/shadow created as /etc/shadow.rpmnew
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-27 05:57 EST by amturnip
Modified: 2013-04-19 19:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-28 02:05:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description amturnip 2010-11-27 05:57:07 EST
Description of problem:

"yum update" showed the following message while updating "setup" to 2.8.28-1.fc14.noarch:

  warning: /etc/shadow created as /etc/shadow.rpmnew

But, no such file as /etc/shadow.rpmnew was subsequently on the disk.



Steps to Reproduce:
1. yum update


Actual results:

A warning promises /etc/shadow.rpmnew. There is no such file.

Expected results:

Either there should either be no warning, or there should be a file at /etc/shadow.rpmnew.

Additional info:

The aforementioned update of the setup package is the only update of that package so far recorded in /var/log/yum*.
Comment 1 Ondrej Vasik 2010-11-28 02:05:31 EST
There is no way how to prevent the rpm warning. /etc/shadow is generated file. There was already a discussion (https://bugzilla.redhat.com/show_bug.cgi?id=587130 vs. https://bugzilla.redhat.com/show_bug.cgi?id=464695 ) if the .rpmnew file should be kept (as this file contains no useful information for user and if someone uses it for replacing /etc/shadow it could be VERY destructive, removing it was chosen). See http://www.rpm.org/ticket/6 for the rpm enhancement request which would prevent the noise. I'm closing it WONTFIX, feel free to reopen it against rpm, but there is no way how to prevent it in setup at the moment.

Note You need to log in before you can comment on or make changes to this bug.